% (Unix newline is used in this file)
% This is a LilyPond source file for creating a sheet music
% Author: A. Zadorin

% Title: Paradise
% Game: "Frontier: First Encounters" (Elite 3)
% Composer: Quality Quartet
% Arranger: A. Zadorin

\version "2.19.82"
\include "../../Guitar-current-ly-style/Var/guitar-current.ily"
% you can find guitar-current.ily by Stephen MacNeil at
% http://www.mglessons.com/lilypond/Guitar-current.tar

\header {
	title = "Paradise"
	subtitle = "Frontier: First Encounters (Elite 3)"
	composer = "Quality Quartet"
	arranger = "(arr: A. Zadorin)"
	tagline = "" 
} 

mainInstrument = #"acoustic guitar (nylon)"

oneMelody = {
	\partial 4. b8\mp e' g' | % 0
	a'4 r8 g'8 fis'4 r8 g'8 | % 1
	e'4 \bbarSpan "IV" {r4. b8-1} e' g' | % 2
	a'4-4 r8 g'8-1 fis'4-1 r8 g'8 | % 3
	b'4^\markup \pos "IV" r4. b8-0 e' g'-4\2 | % 4
	a'4.-4\2^\markup \pos "VIII" g'8-4 fis'4-4 r8 g'8 | % 5
	e''2^\markup \pos "VII" r8 e'' d'' c'' | % 6
	b'1-> ^\markup \pos "VI" \< | % 7
	#(define afterGraceFraction (cons 7 8))
	\afterGrace ais'1-> {b'8 \glissando (} | % 8
	e''2.-> ^\markup \pos "VII" ) r8 dis''16 cis'' | % 9
	dis''2-> r8 b e' g'\2 | % 10
}

oneAcc = {
	\partial 4. s4. | % 0
	b4\rest <g b e'>4 -\tag #'hide \pp <g b>4 <g b e'>4 | % 1
	a4\rest <b dis'>4 <b dis'>4 b4_0 | % 2
	b4\rest <b_3 d'_2 e'_0>4 <b d'>4 <b d' e'>4 | % 3
	b4\rest <a cis' e'>4 <a cis' e'>4 <a cis' e'>4 | % 4
	b4\rest <g-0 c'-2 e'-0>4 <c' e'>4 <g c' e'>4 | % 5
	b4\rest <g b e'>4 <g b e'>4 <g b >4 | % 6
	b4\rest <ais g' e'>4 -\tag #'hide \< \repeat unfold 2 <ais g' e'>4
		| % 7
	b4\rest <ais fis' e'>4 \repeat unfold 2 <ais fis' e'>4 | % 8
	b4\rest <fis b e'>4 \repeat unfold 2 <fis b e'>4 | % 9
	b4\rest \repeat unfold 2 <fis b dis'>4 <fis b dis'>4 -\tag #'hide \f
		| % 10
}

oneBass = {
	\partial 4. s4. | % 0
	e1 -\tag #'hide \mp | % 1
	dis1_\5 | % 2
	d1 | % 3
	cis1 | % 4
	c1 | % 5
	b,1 | % 6
	ais,1-> -\tag #'hide \< | % 7
	ais,1-> | % 8
	b,1-> | % 9
	b,1-> | % 10
}

partOne = {
	<< {
		\oneMelody
	} \\ {
		\oneBass
	} \\ {
		\stemDown
		\oneAcc
	} >>
}

twoMelody = {
	a'4.\f ^\markup \pos "II" g'8 fis'4. g'8 | % 1
	e'2~ ^\markup \pos "I" e'8 b e' g' | % 2
	a'4.^\markup \pos "II" g'8 fis'4. g'8 | % 3
	b'2~ ^\markup \pos "IV" b'8 b e' g' | % 4
	a'4.^\markup \fbar "III" g'8 fis'4.\2 g'8 | % 5
	e''2~^\markup \pos "VII" e''8 e'' d'' c'' | % 6
	b'1^\markup \pos "VI" | % 7
	#(define afterGraceFraction (cons 15 16))
	\afterGrace ais'1 {dis''16\glissando(} | % 8
	e''16^\markup \pos "VII" ) e'' e'' e''
		\tuplet 6/4 {\repeat tremolo 6 {e''16}}
		\tuplet 6/4 {\repeat tremolo 6 {e''16}}
		e''8 dis''16 cis'' | % 9
	dis''1 | % 10
}

twoBass = {
	<e, e b>4 -\tag #'hide \f \repeat unfold 3 {<e, e b>4} | % 1
	\repeat unfold 4 {<dis ais>4} | % 2
	\repeat unfold 4 {<d a>4} | % 3
	\repeat unfold 4 {<cis gis>4} | % 4
	\repeat unfold 4 {<c g>4}	| % 5
	\repeat unfold 4 {<b, fis>4} | % 6
	\repeat unfold 4 {<ais, g>4} | % 7
	\repeat unfold 4 {<ais, fis>4} | % 8
	\repeat unfold 4 {b,4} | % 9
	<b, fis>4
	\tuplet 6/4 {b,16-> \pp \< b, b, b, b, b,}
	\tuplet 6/4 {b,16-> b, b, b, b, b,}
	\tuplet 6/4 {b,16-> b, b, b, b, b,\!} | % 10
}


partTwo = {
	<< {
		\twoMelody
	} \\ {
		\twoBass
	} >>
}

threeMelody = {
	\tag #'hide <g b e''-> >4
		\tag #'show <\xNote a, \xNote d g b e''-> >4\arpeggio r2. | % 1

	r2. r16 e gis b | % 2
	d'2. r8 d'16 e' | % 3
	b2. r16 ais b a | % 4
	g2. r16 fis g d | % 5
	e1 | % 6
	r2. r16 e gis b | % 7

	d'2. r8 cis'16 d' | % 8
	dis'2. r16 fis' g' dis' | % 9
	e'1 | % 10
	r2 r8 b -\tag #'hide \< e' g' | % 11
}

threeBass = {
	e,8->^\markup\small\italic "p" \arpeggio \pp
		e, \repeat unfold 3 {e,8-> e,} | % 1

	\repeat unfold 3 {e,8-> e,} e,4->^\markup \pos "I" | % 2
	\repeat unfold 4 {e,8-> e,} | % 3
	\repeat unfold 3 {e,8-> e,} e,4-> | % 4
	\repeat unfold 3 {e,8-> e,} e,4-> | % 5
	\repeat unfold 4 {e,8-> e,} | % 6
	\repeat unfold 3 {e,8-> e,} e,4-> | % 7
	
	\repeat unfold 4 {e,8-> e,} | % 8	
	\repeat unfold 3 {e,8-> e,} e,4-> | % 9
	\repeat unfold 4 {e,8-> e,} | % 10
	e,8-> \< e, \repeat unfold 3 {e,8-> e,} | % 11
}

partThree = {
	<< {
		\threeMelody
	} \\ {
		\threeBass
	} >>
}

fourMelody = {
	a'4. -\tag #'hide \ff g'8 fis'4. g'8 | % 1
	e'4 r4. b8 e' g' | % 2
	a'4. g'8 fis'4. g'8 | % 3
	b'4 r2. | % 4
	\acciaccatura g'8 \glissando a'4. g'8 fis'4. g'8 | % 5
	e''2~ e''8 e'' d'' c'' | % 6
	b'1 | % 7
	ais'1 | % 8
	\acciaccatura b'4 \glissando e''2. r8 dis''16 cis'' | % 9
	dis''1 | % 10
}

fourBass = {
	<e, e>4\ff
		\tuplet 3/2 {\repeat unfold 3 <e, e>8} <e, e>4 <e, e>4 | % 1
	\transpose e, dis {
		e,4 \tuplet 3/2 {\repeat unfold 3 <e, e>8} <e, e>4 e,4
		} | % 2
	\transpose e, d {
		<e, e>4 \tuplet 3/2 {\repeat unfold 3 <e, e>8} <e, e>4 <e, e>4
		} | % 3
	\transpose e, cis {
		<e, e>4 \tuplet 3/2 {\repeat unfold 3 <e, e>8} <e, e>4 <e, e>4
		} | % 4
	\transpose e, c {
		<e, e>4 \tuplet 3/2 {\repeat unfold 3 <e, e>8} <e, e>4 <e, e>4
		} | % 5
	\transpose e b {
		<e, e>4 \tuplet 3/2 {\repeat unfold 3 <e, e>8} <e, e>4 <e, e>4
		} | % 6
	\transpose e ais {
		<e, e>4 \tuplet 3/2 {\repeat unfold 3 <e, e>8} <e, e>4 <e, e>4
		} | % 7
	\repeat unfold 4 <ais, ais>4 | % 8
	\repeat unfold 4 <b, b>4 | % 9
	<b, b>4
	\tuplet 6/4 {b,16-> \p \< b, b, b, b, b,}
		\tuplet 6/4 {b,16-> b, b, b, b, b,}
		\tuplet 6/4 {b,16-> b, b, b, b, b,} | % 10
}

partFour = {
	<< {
		\fourMelody
	} \\ {
		\fourBass
	} >>
}

fiveMelody = {
	r1 | % 1
	r4 \harmOn b'_\2^\markup \Harm "XII" \pp e''_\1^\markup \Harm "XII"
		g''_\3^\markup \Harm "V" | % 2
	a''4.\4^\markup \Harm "III" g''8^\markup \Harm "V"
		fis''4.^\markup \Harm "VII" g''8^\markup \Harm "V" | % 3
	e''2\harmonic ^\markup \Harm "XII" r8 b' e'' g'' | % 4
	a''4. g''8 fis''4. g''8 | % 5
	b''2\harmonic ^\markup \Harm "V" r8 b' e'' g'' | % 6
	a''4.-4 g''8^\markup \Harm "XXIV" _\markup \teeny \italic "A.H."
		\harmOff fis''16^\markup \pos "XIV" (g'' fis''4)
		\harmOn g''8^\markup \Harm "XXVI" _\markup \teeny \italic "A.H."
		\harmOff | % 7
	e''2\harmonic ^\markup \Harm "XII"
		r8 e''^\StSpanUe #1 d'' c''\endStringNum | % 8
	b'1^\markup \pos "VI" | % 9
	ais'2 <gis' b'>8
		\tuplet 4/3 {<a' c''>8 <ais' cis''> <b' d''> <c'' dis''>} | % 10
	e''2.\harmonic ^\markup \Harm "XII" dis''8 cis'' | % 11
	dis''16 (e'' dis''2) r8 cis'' dis'' | % 12
	e''2\harmonic ^\markup \italic \tiny "A.H. XII" r2 | % 13
	s1 | % 14
}

fiveAcc = {
	s1 | % 1
	s1 | % 2
	b8\rest b-\tag #'hide \ppp e'4. e'8 b4 | % 3
	b8\rest b dis' g' dis'2 | % 4
	b8\rest b_\2 d'4._\2 e'8_\1 d'4_\3 | % 5
	b8\rest a cis' e' g'2^\markup \pos "XII" | % 6
	b8\rest a-2 c'4-1 c'4\rest e'4_\4 | % 7
	b8\rest g-0 b-0 e'-0 g'_\StSpanDe #3 fis' f' e' \endStringNum | % 8
	b8\rest g ais e' g' e' ais g | % 9
	\fbarSpanB "VI" {b8\rest fis ais} e'-0 b2\rest | % 10
	f'8\rest fis b e' g' fis'4. | % 11
	f'4\rest b8 dis'8 fis' dis' b4 | % 12
	b8\rest b,^\markup \pos "II" \> e g b e' g'^\markup \pos "XII"
		b' | % 13
	dis''8\! r2..| % 14
}

fiveBass = {
	b,1~->\! | % 1
	b,1 | % 2
	e1-4 _\5 -\tag #'hide \pp | % 3
	dis1_\6 | % 4
	d1_\5 | % 5
	cis2_\5 r2 | % 6
	c2-3^\markup \pos "I" r2 | % 7
	b,2_\6 r2 | % 8
	ais,1 | % 9
	ais,2 r2 | % 10
	b1-0 | % 11
	b1-0 | % 12
	e,1~ | % 13
	e,1 | % 14
}

partFive = {
	<< {
		\fiveMelody
	} \\ {
		\fiveBass
	} \\ {
		\stemDown
		\fiveAcc
	} >>
}

music = {
	\partOne
	\partTwo
	\partThree
	\partFour
	\partFive
	\bar "|."
}

alternativeOne = {
	<< {
		\grace {d''16\glissando(} e''2.._\markup "similar for measure 41")
			dis''16 cis'' | % 9
		dis''2. cis''8 dis'' | % 10
		e''4-> r2. | % 1
	} \\ {
		\repeat unfold 4 {<b, fis>4} | % 9
		<b, fis>4\< \repeat unfold 2 {<b, fis>4} <b, fis>4\! | % 10
		e,8-> \pp e, \repeat unfold 3 {e,8-> e,} | % 1
	} >>
}


alternativeTwo = {
	<< {
		r2 r8 e gis b | % 2
		d'2. d'8 e' | % 3
		b2 r8 ais b a | % 4
		g2 r8 fis g d | % 5
		e1 | % 6
		r2 r8 e gis b | % 7

		d'2. cis'8 d' | % 8
		dis'2 r8 fis' g' dis' | % 9
		e'1 | % 10
		r4 b e' g' | % 11
	} \\ {
		\repeat unfold 4 {e,8-> e,} | % 2
		\repeat unfold 4 {e,8-> e,} | % 3
		\repeat unfold 4 {e,8-> e,} | % 4
		\repeat unfold 4 {e,8-> e,} | % 5
		\repeat unfold 4 {e,8-> e,} | % 6
		\repeat unfold 4 {e,8-> e,} | % 7
		
		\repeat unfold 4 {e,8-> e,} | % 8	
		\repeat unfold 4 {e,8-> e,} | % 9
		\repeat unfold 4 {e,8-> e,} | % 10
		e,8-> \< e, \repeat unfold 2 {e,8-> e,} e,8-> e,\! | % 11
	} >>
}

alternativeThree = {
	<< {
		a'4.\ff _\markup "and so on till measure 38" g'8 fis'4. g'8 |
		e'4 r4. b8 e' g' | 
	} \\ {
		\repeat unfold 4 <e, e>4 | 
		\repeat unfold 4 <dis, dis>4 | 
	} >>
}

\score{
\new Staff
\with {
  \consists "Span_arpeggio_engraver"
  }
{
\set Staff.connectArpeggios = ##t
\clef "treble_8"
\key e \minor
\time 4/4

\removeWithTag #'hide
\unfoldRepeats
\music

}
\layout{indent = 0\cm}
}

\score{
\new Staff
{
\set Staff.midiInstrument = \mainInstrument
\key e \minor
\time 4/4

\removeWithTag #'show
\unfoldRepeats
\music

}
\midi{\tempo 4 = 90}
}

\score{
\header {piece = "Simplifying alternative 1"}
\new Staff
{
\clef "treble_8"
\key e \minor

\set Score.barNumberVisibility = #all-bar-numbers-visible
\set Score.currentBarNumber = #19
\bar ""
\alternativeOne

}}

\score{
\header {piece = "Simplifying alternative 1"}
\new Staff
{
\clef "treble_8"
\key e \minor

\set Score.barNumberVisibility = #all-bar-numbers-visible
\set Score.currentBarNumber = #22
\bar ""
\alternativeTwo

}}

\score{
\header {piece = "Simplifying alternative 1"}
\new Staff
{
\clef "treble_8"
\key e \minor

\set Score.barNumberVisibility = #all-bar-numbers-visible
\set Score.currentBarNumber = #32
\bar ""
\alternativeThree

}}
